Bug 471630 - IKE negotiations fail when ip[6]tables is enabled [NEEDINFO]
IKE negotiations fail when ip[6]tables is enabled
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-securitylevel (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Thomas Woerner
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-14 13:40 EST by Paul Moore
Modified: 2014-06-02 09:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-02 09:16:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pm-rhel: needinfo? (paul.moore)


Attachments (Terms of Use)

  None (edit)
Description Paul Moore 2008-11-14 13:40:25 EST
Description of problem:
The default IPv4 and IPv6 firewall rules do not allow inbound IKE traffic and the bundled firewall configuration tools do not allow administrators to enable IKE traffic.  This has caused problems when trying to establish IPsec connections over IPv6 using IKE.

The problem was solved by adding the following line to /etc/sysconfig/ip[6]tables and restarting the firewall services.

 -A RH-Firewall-1-INPUT -p udp --sport 500 --dport 500 -j ACCEPT

Version-Release number of selected component (if applicable):
iptables-1.3.5-4.el5
iptables-ipv6-1.3.5-4.el5

How reproducible:
Everytime

Steps to Reproduce:
1. service ip6tables start
2. try to initiate an IKE negotiation over IPv6
  
Actual results:
IKE negotiation will fail due to a phase-1 timeout caused by a lack of communication with the remote host.

Expected results:
IKE negotiation succeeds.
Comment 1 Steve Grubb 2008-11-15 08:45:54 EST
Paul, are you saying that we should add IKE/IKE2 to system-config-firewall IPSec settings? We have a tight set of default rules and should allow for easy changes by system-config-firewall.
Comment 2 Paul Moore 2008-11-17 09:17:43 EST
Honestly I really don't care how you solve the problem, but as it stands right now with RHEL5.2 the only way to enable IKE negotiations is to either manipulate the configuration files directly or disable the firewall.  Neither approach seems like a good solution to me.
Comment 3 Subhendu Ghosh 2009-03-25 12:17:51 EDT
Moving this to system-config-securitylevel for addition of options to allow incoming IKE negotiations.
Comment 5 RHEL Product and Program Management 2009-11-06 14:10:35 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 6 RHEL Product and Program Management 2014-03-07 07:46:30 EST
This bug/component is not included in scope for RHEL-5.11.0 which is the last RHEL5 minor release. This Bugzilla will soon be CLOSED as WONTFIX (at the end of RHEL5.11 development phase (Apr 22, 2014)). Please contact your account manager or support representative in case you need to escalate this bug.
Comment 7 RHEL Product and Program Management 2014-06-02 09:16:19 EDT
Thank you for submitting this request for inclusion in Red Hat Enterprise Linux 5. We've carefully evaluated the request, but are unable to include it in RHEL5 stream. If the issue is critical for your business, please provide additional business justification through the appropriate support channels (https://access.redhat.com/site/support).

Note You need to log in before you can comment on or make changes to this bug.